Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDesignQueryChunk

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseQueryChunk
          net.sf.jasperreports.engine.design.JRDesignQueryChunk

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRQueryChunk

    public class JRDesignQueryChunk

extends JRBaseQueryChunk
implements JRChangeEventsSupport

Version:
  $Id: JRDesignQueryChunk.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_TEXT`
`static java.lang.String` | `PROPERTY_TOKENS`
`static java.lang.String` | `PROPERTY_TYPE`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseQueryChunk
`text, tokens, type`

Fields inherited from interface net.sf.jasperreports.engine.JRQueryChunk
`PROPERTY_CHUNK_TOKEN_SEPARATOR, TYPE_CLAUSE_TOKENS, TYPE_PARAMETER, TYPE_PARAMETER_CLAUSE, TYPE_TEXT`

Constructor Summary
`JRDesignQueryChunk()`

Method Summary
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`void` | `setText(java.lang.String text)`
`void` | `setTokens(java.lang.String[] tokens)` Sets the clause tokens for chunks of type `TYPE_CLAUSE_TOKENS`.
`void` | `setType(byte type)`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseQueryChunk
`clone, getText, getTokens, getType`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_TEXT

    public static final java.lang.String PROPERTY_TEXT

See Also:
  Constant Field Values

### PROPERTY_TOKENS

    public static final java.lang.String PROPERTY_TOKENS

See Also:
  Constant Field Values

### PROPERTY_TYPE

    public static final java.lang.String PROPERTY_TYPE

See Also:
  Constant Field Values

Constructor Detail

### JRDesignQueryChunk

    public JRDesignQueryChunk()

Method Detail

### setType

    public void setType(byte type)

### setText

    public void setText(java.lang.String text)

### setTokens

    public void setTokens(java.lang.String[] tokens)

  Sets the clause tokens for chunks of type `TYPE_CLAUSE_TOKENS`.

  Parameters:
    `tokens` - the clause tokens
  See Also:
    `JRBaseQueryChunk.getTokens()`

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com